﻿using Syncfusion.XForms.Chat;
using Xamarin.Forms;

namespace GettingStarted
{
    public class MessageTemplateSelector : ChatMessageTemplateSelector
    {
        private readonly DataTemplate imageTemplate;

        internal SfChat Chat
        {
            get;
            set;
        }

        public MessageTemplateSelector(SfChat sfChat):base(sfChat)
        {
            this.Chat = sfChat;
            this.imageTemplate = new DataTemplate(typeof(ImageMessageTemplate));
        }

        protected override DataTemplate OnSelectTemplate(object item, BindableObject container)
        {
            if (item as IImageMessage != null )
            {
               
                return this.imageTemplate;
            }
            return base.OnSelectTemplate(item, container);
        }
    }
}
